import request from '@/common/request.js';

const workspace = {
	// 日程列表
	getSchedule(data) {
		return request.get('/api/v1/work_bench/timePeriod_schedule', data)
	},

	// 新增日程、编辑日程
	saveSchedule(data) {
		return request.post('/api/v1/work_bench/save_schedule', data)
	},

	// 删除日程
	deleteSchedule(id) {
		return request.get(`/api/v1/work_bench/del_schedule/${id}`)
	},
	// 待办事项列表
	getTodoList() {
		return request.get('/api/v1/work_bench/todo_list')
	},
	// 系统通知列表
	getNoticeList() {
		return request.get('/api/v1/systemNotice/sys_notice_list')
	},
	//标记用户消息已读
	markNoticeRead(id) {
    	return request.get(`/api/v1/systemNotice/mark_as_read/${id}`)
	},
	//标记所有消息已读
	mark_all_as_read() {
		return request.get('/api/v1/systemNotice/mark_all_as_read')
	}

}

export default workspace